# Mace 3D RP for Bedrock
This resource pack enhances the Mace by giving it a 3D model! The Mace is a new weapon added to Minecraft Bedrock in Beta & Preview - 1.20.80.22 Update. For consistency reasons, Mojang decided to make the Mace a 2D item. However, many people wish it had a 3D model instead. Which is the reason, why I created this resource pack. And I made it for both Minecraft universes - Bedrock and [Java](https://github.com/Nogard-YT/Mace_3D_RP_Java)!

Creator: **Nogard** ([Twitter](https://twitter.com/Nogard_YT), 
[YouTube](https://www.youtube.com/channel/UCPjuDppuSBB2fRiTl9UOQ5Q?sub_confirmation=1), 
[Reddit](https://www.reddit.com/user/Nogard_YT/), 
[Facebook](https://fb.me/Nogard.YT))  

![Mace](https://github.com/Nogard-YT/repo/blob/main/Mace_3D_RP_Bedrock/images/key_art_mcpedl.png)

## A new weapon - the Mace
Mace is a truly high-risk, high-reward weapon. It can deal crazy amounts of damage, but only if you time things perfectly. For example, you need to land from a height of 100 blocks to kill Warden on a single hit. And that's not all; if you manage to actually hit the mob before landing, you won't take any fall damage. Doesn't that sound completely insane already? Well, guess what, you can kill Wither and Ender Dragon on a single hit too! But ummm, don't forget to bring some totems of undying for the missed attempts, hehe.

![Mace](https://github.com/Nogard-YT/repo/blob/main/Mace_3D_RP_Bedrock/images/ender_dragon_elytra.png)

Mace was introduced to [Minecraft Bedrock in Beta & Preview - 1.20.80.22](https://www.minecraft.net/en-us/article/minecraft-preview-1-20-80-22), and in [Snapshot 24W11A](https://www.minecraft.net/en-us/article/minecraft-snapshot-24w11a) to Minecraft Java, both released on March 14th, 2024. Therefore, it's essential to be on either of these versions or higher to be able to use this resource pack. Additionally, don't forget to turn on experiments for your world. In Minecraft Bedrock, these experiments, which enable the new features introduced in Minecraft Live 2023, are labeled as "Update 1.21". In Minecraft Java you can enable them under "More" tab when creating a world. Then under "Experiments" button, where you can toggle "Update 1.21" on. 

![Mace](https://github.com/Nogard-YT/repo/blob/main/Mace_3D_RP_Bedrock/images/camera_view.png)

## Why is it not 3D by default?
There undoubtedly are some technical constraints, which might have led Mojang to make the Mace a 2D item instead of creating a 3D model for it. One of these might be the player swiping animation on Bedrock, as it requires changes in player animation files to make it look like an actual weapon. Another could be an enchantment layer material and render controller for attachables. But mainly, I believe it's because all the weapons in Minecraft have always been 2D, so it wouldn't make much sense to make the new weapon 3D. And I do agree with Mojang on this. Despite that, I personally find it look way better when it's 3D, and I'm sure that many players will agree with me as well.

![Mace](https://github.com/Nogard-YT/repo/blob/main/Mace_3D_RP_Bedrock/images/2d_to_3d.png)

The Bedrock version of the resource pack is available in two types. The first option, in order, doesn't edit player.json or any other vanilla files, making it compatible with any other addon. Meanwhile, the second version (player animations) does edit these files. Specifically, the second version overrides player.entity.json and other vanilla files to make the 3D Mace attack/swipe animation look like an actual weapon. If you intend to use this pack alongside other add-ons, it's advisable to download the first version (recommended). 

## License Terms
You're allowed to record videos and take screenshots of this work. You may share this work with others, but only with the original download link. You're allowed to use this work in your Minecraft worlds and servers without any limitations. However, redistribution without author's consent in applications, websites, and other media, as well as earning money from it, will be punished by law. 

**Nogard**

Contacts: 
Email: nogmcpe@gmail.com  
Discord: Nogard#9634 (nogcube)  
Twitter: [@Nogard_YT](https://twitter.com/@Nogard_YT)

## Intallation
1. Download the resource pack.
2. Make sure that the downloaded file has a .mcpack extension.
3. Open the downloaded file with Minecraft.
4. Minecraft will automatically import the resource pack.
5. Enable the Mace 3D RP in the world or global settings.
6. Enjoy!

## Download (Minecraft Bedrock)
Mace 3D RP (recommended): https://github.com/Nogard-YT/Mace_3D_RP_Bedrock/releases/tag/v1.0.0  
Mace 3D RP (player animations): https://github.com/Nogard-YT/Mace_3D_RP_Bedrock/releases/tag/v1.0.0_player_animations

Minecraft Java version: https://github.com/Nogard-YT/Mace_3D_RP_Java/releases/tag/v1.0.0
